MAPIC++ClientLibraryBindings 2.0 API Documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
libmapipp::folder Class Reference

This class represents a folder or container within Exchange. More...

`#include <folder.h>`

Inheritance diagram for libmapipp::folder:

## Public Types
typedef boost::shared_ptr< folder > | folder_shared_ptr
| Pointer to a folder.
typedef std::vector < folder_shared_ptr > | hierarchy_container_type
| Hierarchy folders.
typedef boost::shared_ptr < message > | message_shared_ptr
| Pointer to a message.

## Public Member Functions
void | delete_message (mapi_id_t message_id) throw (mapi_exception)
| Delete a message that belongs to this folder.
hierarchy_container_type | fetch_hierarchy () throw (mapi_exception)
| Fetch all subfolders within this folder.
message_container_type | fetch_messages () throw (mapi_exception)
| Fetch all messages in this folder.
| folder (object &parent_folder, const mapi_id_t folder_id) throw (mapi_exception)
| Constructor.
mapi_id_t | get_id () const
| Obtain folder id.
virtual | ~folder () throw ()
| Destructor.
Public Member Functions inherited from libmapipp::object
virtual mapi_object_t & | data () throw ()
| Obtain a reference to the mapi_object_t associated with this object.
virtual property_container | get_property_container ()
| Obtain a property_container to be used with this object.
virtual session & | get_session ()
| Obtain the session associated with this object.
| object (session &mapi_session, const std::string &object_type="") throw ()
| Object Constructor.
virtual | ~object () throw ()
| Destructor.

## Detailed Description

This class represents a folder or container within Exchange.

Examples:
  attach_test.cpp, foldertree.cpp, messages.cpp, and test.cpp.

## Member Typedef Documentation

typedef std::vector<folder_shared_ptr> libmapipp::folder::hierarchy_container_type

Hierarchy folders.

This is a vector (list) of child folders for a given folder

## Constructor & Destructor Documentation

libmapipp::folder::folder | ( | object & | parent_folder,
|  | const mapi_id_t | folder_id
| ) |  | throw (mapi_exception)
| inline

Constructor.

Parameters

  parent_folder | The parent of this folder.
  folder_id | This folder's id.

## Member Function Documentation

void libmapipp::folder::delete_message | ( | mapi_id_t | message_id | ) | throw (mapi_exception)
| inline

Delete a message that belongs to this folder.

Parameters

  message_id | The id of the message to delete.

hierarchy_container_type libmapipp::folder::fetch_hierarchy | ( |  | ) | throw (mapi_exception)

Fetch all subfolders within this folder.

Returns
  A container of folder shared pointers.

Examples:
  attach_test.cpp, foldertree.cpp, and test.cpp.

message_container_type libmapipp::folder::fetch_messages | ( |  | ) | throw (mapi_exception)

Fetch all messages in this folder.

Returns
  A container of message shared pointers.

Examples:
  attach_test.cpp, messages.cpp, and test.cpp.

mapi_id_t libmapipp::folder::get_id | ( |  | ) | const
| inline

Obtain folder id.

Returns
  This folder's id.

Examples:
  attach_test.cpp, and test.cpp.

The documentation for this class was generated from the following file:

- libmapi++/folder.h

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/